#!/bin/bash

gmtset        BASEMAP_TYPE PLAIN

psbasemap -R-86.5/-82.4/7.5/11.4 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps


psxy -R -JM -B zona5_1000.bln -G210/210/210 -O -K >> p.ps
psxy -R -JM -B zona4_1000.bln -G180/180/180 -O -K >> p.ps
psxy -R -JM -B zona3_1000.bln -G150/150/150 -O -K >> p.ps
psxy -R -JM -B zona2_1000.bln -G120/120/120 -O -K >> p.ps
psxy -R -JM -B zona1_1000.bln -G90/90/90 -O -K >> p.ps
psxy -R -JM -B guense.txt -G255/255/255 -O -K >> p.ps
psxy -R -JM -B meo.bln -G255/255/255 -O -K >> p.ps

pscoast -R -JM  -N1 -N2/255/255/255 -W2 -X0 -Y0 -B -Df -O   -Lfx4.3/0.6/10.0/100.0  -S0/149/255 -K>> p.ps

pstext -R -JM -O  -W -K <<END>> p.ps
-84.7 11.15 14  0 21 BL Nicaragua
-82.6  8.7  14 90 21 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> p.ps
-82.9 10.8  12  0 21 MC Mar Caribe
-85.7  9.2  12  0 21 ML Oc\345ano Pac\354fico
END



pstext -R -JM -B -O -G255/255/255 leyenda/lugares.bln -K >> p.ps

pstext -R -JM -B -O leyenda/texto_1000.bln  -K >> p.ps

awk '{print $2,$3}' ../coord.txt | psxy -R -JM -Ss0.12 -W1 -O -K >> p.ps
n=`wc ../loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x ../loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2 }' t1 | psxy -Ss0.12 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done





psxy -R -JM -B -Ss0.3 -G90/90/90 -W1 -O leyenda/zona5_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G120/120/120 -W1 -O leyenda/zona4_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G150/150/150 -W1 -O leyenda/zona3_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G180/180/180 -W1 -O leyenda/zona2_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G210/210/210 -W1 -O leyenda/zona1_500.bln >> p.ps

convert p.ps -crop 586x565+15+90 -quality 100 amenaza1000.jpg

