#!/bin/bash

gmtset        BASEMAP_TYPE PLAIN   

psbasemap -R-86.5/-82.4/7.5/11.4 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps

psxy -R -JM -B zona7_2500.bln  -G255/255/255 -O -K >> p.ps
psxy -R -JM -B zona6_2500.bln  -G225/225/225 -O -K >> p.ps
psxy -R -JM -B zona5_2500.bln  -G195/195/195 -O -K >> p.ps
psxy -R -JM -B zona4_2500.bln  -G165/165/165 -O -K >> p.ps
psxy -R -JM -B zona3_2500.bln  -G135/135/135 -O -K >> p.ps
psxy -R -JM -B zona2_2500.bln  -G105/105/105 -O -K >> p.ps
psxy -R -JM -B zona1_2500.bln  -G75/75/75 -O -K >> p.ps
psxy -R -JM -B guense.txt -G255/255/255 -O -K >> p.ps
psxy -R -JM -B meo.bln -G255/255/255 -O -K >> p.ps

pscoast -R -JM  -N1 -N2/255/255/255 -W2 -X0 -Y0 -B -Df -O   -Lfx4.3/0.6/10.0/100.0  -S0/149/255 -K>> p.ps

pstext -R -JM -O -W -K <<END>> p.ps
-84.7 11.15 14  0 21 BL Nicaragua
-82.6  8.7  14 90 21 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> p.ps
-82.9 10.8  12  0 21 MC Mar Caribe
-85.3  9.1  12  0 21 ML Oc\345ano Pac\354fico
END



pstext -R -JM -B -O -G255/255/255 leyenda/lugares.bln -K >> p.ps

pstext -R -JM -B -O leyenda/texto_2500.bln  -K>> p.ps

awk '{print $2,$3}' ../coord.txt | psxy -R -JM -Ss0.12 -W1 -O -K >> p.ps
n=`wc ../loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x ../loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2 }' t1 | psxy -Ss0.12 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done


psxy -R -JM -B -Ss0.3 -G75/75/75 -W1 -O leyenda/zona5_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G105/105/105 -W1 -O leyenda/zona4_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G135/135/135 -W1 -O leyenda/zona3_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G165/165/165 -W1 -O leyenda/zona2_500.bln -K >> p.ps

psxy -R -JM -B -Ss0.3 -G195/195/195 -W1 -O leyenda/zona1_500.bln -K>> p.ps

psxy -R -JM -B -Ss0.3 -G225/225/225 -W1 -O leyenda/zona7_500.bln -K>> p.ps

psxy -R -JM -B -Ss0.3 -G255/255/255 -W1 -O leyenda/zona6_500.bln >> p.ps

convert p.ps -crop 586x565+15+90 -quality 100 amenaza2500.jpg

