#!/bin/bash

(

ifort -o qcorrection qcorrection.f

elon=`awk '{print $1}' epi.dat`
elat=`awk '{print $2}' epi.dat`
prof=`awk '{print $3}' epi.dat`

ls -c1 *.b | cut -c1-4 > lista_r.dat

for i in `cat lista_r.dat`
do
  grep $i coord.txt | awk '{print $2,$3}' > t1
  ep=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));print a*109.3}' x0="$elon" y0="$elat" t1`
  echo $ep $prof > t1
  w=$i.b
  cp $w infile
  qcorrection
  mv oufile $i.qc
done

rm temp1.dat
for j in ????.qc
do
  rm infile
  cp $j infile
  fl=`nplano`

  rfl=`echo $fl | awk '{print 10**$1}'`
  echo 0.1 $rfl > $j.np
  echo 5.0 $rfl >> $j.np

  k=`echo $j | cut -c1-4`
  echo $k $fl >> temp1.dat
  echo $k $fl
done
cp temp1.dat temporal.dat
ls -c1 *.b | cut -c1-4 > lista_r.dat

)
