#!/bin/bash


# 109.3 km corresponden a 4.1 cm que es 1 grado en este mapa
# 109.3 km corresponden a 1.61 pulgadas


(

if [ -f .gmtdefaults4 ]
then
  rm .gmtdefaults4
fi

psbasemap -R-86.8/-81.8/7.0/11.7 -Jm0.7 -B0/0 -P  -K -X0.5 -Y3.0 -V -G200/200/200 > p.ps
grdimage /usr/local/gmt/ampl/t1.grd -R -Jm -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/ampl/t1.int -K  -O >> p.ps
pscoast -R -J -N1/5 -N2/2/220/220/220 -W1 -X0 -K -Y0  -Df -B1/1WSne -O -Slightblue -Lf-83.5/7.5/10.0/100.0 >> p.ps
for i in /usr/local/gmt/contornos/contorno_i*.txt /usr/local/gmt/contornos/contorno_l*.txt
do
  psxy -R -J -O -K -G200/200/200 $i >> p.ps
done
pscoast -R -J -N1/5 -W1 -X0 -K -Y0  -Df -B1/1WSne -O -Slightblue -Lf-82.8/7.5/10.0/150.0 >> p.ps
psxy -R -J -W2 -S+0.35 -O -K epi.dat >> p.ps
psxy -R -J -W2 -Sc0.1 -Gyellow -O -K epi.dat -W3 >> p.ps
psxy -R -J -W2 -Sc0.16 -O -K epi.dat >> p.ps
psxy -R -J -W2 -Sc0.22 -O -K epi.dat >> p.ps
psxy -R -J -W2 -Sc0.28 -O -K epi.dat >> p.ps

psxy -R -J -O <<END>>p.ps
END

convert p.ps -background white -flatten -crop 310x290+0+320 -quality 100 epi_peq_pdf.png

)
