	real a(100000),f(100),tmp(100000), ul(100000)
	real f_out(10,100000), val(10)
	integer colt

	open(11,file='periodos.txt',status='old')
        do i = 1, 91
          read(11,*) x
          f(i)=1.0/x
        enddo
        close(11)
	nfrq= 91

	open(10,file="infile",status="old")
 	read(10,*) delt, npts

        xval_max=0.0
	do i = 1, npts
	  read(10,*) xval
	  a(i) = xval
          if(abs(xval).gt.xval_max) xval_max = xval
	enddo
	close(10)

	val(1)=0.0
        val(2)=0.05

        tmp(1)=0.000          
        do colt=2,npts
          tmp(colt)=delt*(colt-1)
        enddo

        xmax=-1.0
        xmin=100000000.0
        do j = 1, 2
          amort=val(j)
	  do i = 1, nfrq
	    frec=6.283185*f(i)
            omd=frec*SQRT(1.0-amort**2)
            sdl=0             
            call movmnt(amort,frec,omd,npts,a,tmp,ul)
            do m=1,npts
              dl=abs(ul(m))
              if (dl.GT.sdl) sdl = dl
            enddo
            f_out(j,i)=frec*frec*sdl
            if(f_out(j,i).gt.xmax) xmax=f_out(j,i)
            if(f_out(j,i).lt.xmin) xmin=f_out(j,i)
	  enddo
	enddo

        xmin=xmin-(xmin*0.1)
        xmax=xmax+(xmax*0.1)

	open(22,file='fed_file',status='unknown')
	open(15,file='ofile',status='unknown')
        write(15,'(2(E10.3,1x))') xmin, xmax
        do i =1,nfrq
	  write(15,*) 1./f(i),(f_out(j,i),j=1,2)
!	  write(22,*) 1./f(i),f_out(2,i)/xval_max !calcula FED para amort. de 0.05
	  write(22,*) 1./f(i),f_out(2,i) !Espectro en PSA
        enddo
	close(15)
	close(22)

	stop
	end

      SUBROUTINE movmnt(amort,frec,omd,num,clong,tiempo,ul)        
      real clong(100000),tiempo(1),t0,t1,t 
      real ul(100000),upl(100000) 
      real a0l,a1l,al,bl,x,y,z
      real c0l,c1l,c2l,c3l
      integer icont,num
      
      ul(1)=0
      upl(1)=0

      x=amort
      y=frec
      z=omd  
      
      do icont=2,num
       t0=tiempo(icont-1)
       t1=tiempo(icont)
       t=t1-t0
c      Componente Longitudinal
       a0l=clong(icont-1)       
       a1l=clong(icont)       
       al=a0l
       bl=(a1l-a0l)/(t1-t0)
       c0l=al/(y**2)-2*x*bl/(y**3)
       c1l=bl/(y**2)
       c2l=ul(icont-1)-c0l
       c3l=(upl(icont-1)+x*y*c2l-c1l)/z       
       ul(icont)=c0l+c1l*t+c2l*EXP(-x*y*t)*COS(z*t)+c3l*EXP(-x*y*t)
     * *SIN(z*t)
       upl(icont)=c1l+(z*c3l-x*y*c2l)*EXP(-x*y*t)*COS(z*t)-
     * (z*c2l+x*y*c3l)*EXP(-x*y*t)*SIN(z*t) 
      enddo      

      return
      end 
      
