#!/bin/bash

tempdir=`head -n 1 ../destino.dat`
gmtset        BASEMAP_TYPE PLAIN 

psbasemap -R-86.5/-82.4/7.5/11.3 -JM8.0 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps

pscoast -R -JM -W2 -X0 -Y0 -B -Df -O  -G150/150/150 -K >> p.ps
psxy -R -JM -B -W1 zona_II.bln -G200/200/200 -O -K >> p.ps
psxy -R -JM -B -W1 zona_IV.bln -G100/100/100 -O -K >> p.ps

psxy -R -JM -B -W2 guense.txt -G255/255/255 -O -K >> p.ps
psxy -R -JM -B -W2 meo.bln -G255/255/255 -O -K >> p.ps

pscoast -R -JM  -N1 -N2/255/255/255 -W2 -X0 -Y0 -B -Df -O   -Lfx4.3/0.4/10.0/100.0  -S0/149/255 -K >> p.ps
pstext -R -JM -B -O leyenda/texto_500.bln -K >> p.ps


psxy -R -JM -B -Ss0.3 -G200/200/200 -W1 -O leyenda/zona5_500.bln -K >> p.ps
psxy -R -JM -B -Ss0.3 -G150/150/150 -W1 -O leyenda/zona4_500.bln -K >> p.ps
psxy -R -JM -B -Ss0.3 -G100/100/100 -W1 -O leyenda/zona3_500.bln -K >> p.ps

psxy -R -JM -B -G210/210/210 -W1 -O leyenda/zona2_500.bln -K >> p.ps
psxy -R -JM -B -G170/170/170 -W1 -O leyenda/zona1_500.bln -K >> p.ps



n=`wc ../loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x ../loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2 }' t1 | psxy -Ss0.15 -R -JM -B -O -K -G$c -W1 >> p.ps
  x=`expr $x + 1`
done

pstext -R -JM -B -O leyenda/columnas.bln >> p.ps
convert p.ps -crop 586x565+15+90  cs.jpg

rm .gmtcommands4 p.ps t1

