#!/bin/bash

psxy -R-1/10/-1/5 -JX8/3 -P  -K -X0.2 -Y8.0 <<END> p.ps
END

#Leyenda
psxy -R -JX -Ss0.6 -K -O -W1 -G255/255/255 <<END>> p.ps
1.2 1.2 I-II
END
pstext -R -JX -K -O <<END>> p.ps
1.2 1.1 11 0 1 2 I
END
psxy -R -JX -Ss0.6 -K -O -W1 -G0/0/140 <<END>> p.ps
2.2 1.2 II-III
END
pstext -R -JX -K -O -Gwhite <<END>> p.ps
2.2 1.1 11 0 1 2 II-III
END
psxy -R -JX -Ss0.6 -K -O -W1 -G12/100/230 <<END>> p.ps
3.2 1.2 IV
END
pstext -R -JX -K -O <<END>> p.ps
3.2 1.1 11 0 1 2 IV
END
psxy -R -JX -Ss0.6 -K -O -W1 -G5/220/180 <<END>> p.ps
4.2 1.2 V
END
pstext -R -JX -K -O <<END>> p.ps
4.2 1.1 11 0 1 2 V
END
psxy -R -JX -Ss0.6 -K -O -W1 -G10/220/30 <<END>> p.ps
5.2 1.2 VI
END
pstext -R -JX -K -O <<END>> p.ps
5.2 1.1 11 0 1 2 VI
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/236/5 <<END>> p.ps
6.2 1.2 VII
END
pstext -R -JX -K -O <<END>> p.ps
6.2 1.1 11 0 1 2 VII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/139/5 <<END>> p.ps
7.2 1.2 VIII
END
pstext -R -JX -K -O <<END>> p.ps
7.2 1.1 11 0 1 2 VIII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G145/113/11 <<END>> p.ps
8.2 1.2 IX
END
pstext -R -JX -K -O <<END>> p.ps
8.2 1.1 11 0 1 2 IX
END
psxy -R -JX -Ss0.6 -K -O -W1 -G255/0/0 <<END>> p.ps
9.2 1.2 X-XI-XII
END
pstext -R -JX -K -O <<END>> p.ps
9.2 1.1 11 0 1 2 X+
END
# pstext -R -JX -K -O <<END>> p.ps
# 5 2. 14 0 1 2 Intensidad de Mercalli Modificada (IMM)
# END
pstext -R -JX -K -O <<END>> p.ps
1.2 0.4 10 0 1 2 Not felt
END
pstext -R -JX -K -O <<END>> p.ps
2.2 0.4 10 0 1 2 Weak
END
pstext -R -JX -K -O <<END>> p.ps
3.2 0.4 10 0 1 2 Light
END
pstext -R -JX -K -O <<END>> p.ps
4.2 0.4 10 0 1 2 Moderate
END
pstext -R -JX -K -O <<END>> p.ps
5.2 0.4 10 0 1 2 Strong
END
pstext -R -JX -K -O <<END>> p.ps
6.2 0.4 10 0 1 2 Very Strong
END
pstext -R -JX -K -O <<END>> p.ps
7.2 0.4 10 0 1 2 Severe
END
pstext -R -JX -K -O <<END>> p.ps
8.2 0.4 10 0 1 2 Violent
END
pstext -R -JX -K -O <<END>> p.ps
9.2 0.4 10 0 1 2 Extreme
END

#Potencial de danio
pstext -R -JX -K -O <<END>> p.ps
1.2 -0.1 10 0 1 2 None
END
pstext -R -JX -K -O <<END>> p.ps
2.2 -0.1 10 0 1 2 None
END
pstext -R -JX -K -O <<END>> p.ps
3.2  -0.1  10 0 1 2 None
END
pstext -R -JX -K -O <<END>> p.ps
4.2  -0.1  10 0 1 2 Very light
END
pstext -R -JX -K -O <<END>> p.ps
5.2  -0.1  10 0 1 2 Light
END
pstext -R -JX -K -O <<END>> p.ps
6.2  -0.1  10 0 1 2 Moderate
END
pstext -R -JX -K -O <<END>> p.ps
7.25  -0.1  10 0 1 2 Mod. Heavy
END
pstext -R -JX -K -O <<END>> p.ps
8.2  -0.1  10 0 1 2 Heavy
END
pstext -R -JX -K -O <<END>> p.ps
9.2  -0.1  10 0 1 2 V. Heavy
END

pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 1.3 11 0 1 1 Intensity on the
-0.9 0.9 11 0 1 1 Mercalli Scale
END
pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 0.4 10 0 1 1 SHAKING
END
pstext -R -JX -K -O -G0/0/255 <<END>> p.ps
-0.9 -0.1 10 0 1 1 DAMAGE
END


psxy -R -JX -O  <<END>> p.ps
END
convert p.ps -crop 586x72+5+118 escala_eng.png
display escala_eng.png


