#!/bin/bash


tempdir=`head -n 1 ../destino.dat`

ifort -o intensidad3 intensidad3.f

# #Revisar que el archivo "locace.dat" no tenga errores

if [ -f todas_ok.dat ]
then
  rm todas_ok.dat
fi

cut -c1-4 estaciones.txt > activas.dat
for i in `cat activas.dat`
do
  grep $i locace.dat >> todas_ok.dat
done

if [ -f todas_ok.dat ]
then
  mv todas_ok.dat locace.dat
fi

awk -F\; '{print $2,$1,"NaN"}' sitios_nulos.dat > puntos_nulos.dat
awk -F\; '{printf"%4s %4s\n", $1,$4}' estaciones.txt > tipos.dat
awk -F\; '{print $2,$1,$3}' sitios_extra.dat >  puntos_extra.dat
intensidad3

mapint_teor.sh
cp mapintensidades.png $tempdir
