#!/bin/bash

tempdir=`head -n 1 destino.dat`

# 
# mr=`cat nom.dat`
# nr=`cat hor.dat`
# na=`ls -c1 *.SMS 2> /dev/zero | wc | awk '{print $1}'`
# 
# echo $na > kan.dat
# 
# pstext -R0/5.5/0/2 -JX6/2 -X0.8 -Y5.0 -P -G0/0/255 <<END>p.ps
# 0.8 1.5 14 0 1 1 Fecha: $mr 
# 2.6 1.5 14 0 1 1 Hora: $nr
# 4.0 1.5 14 0 1 1 Estaciones: $na
# END
# convert p.ps -crop 586x30+5+305 fecha0.png
# mv fecha0.png $tempdir

gmtset        BASEMAP_TYPE PLAIN

lat1=8.0
lat2=11.3
lon1=-86.0
lon2=-82.5


# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8
#grdgradient g1.grd -Gg1.int -E240/80/0.1/0.2/0.2/10
#surface datos1.txt -R$lon1/$lon2/$lat1/$lat2 -I0.005/0.005 -Gt1.grd -Ll70
#grdgradient t1.grd -Gt1.int -E240/80/0.6/0.2/0.8/500

psbasemap -R$lon1/$lon2/$lat1/$lat2 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
grdimage /usr/local/gmt/ampl/t1.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/ampl/t1.int -K  -O >> p.ps
psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_isla1.txt >> p.ps
psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_isla2.txt >> p.ps
pscoast -R -JM -N1/5 -N2/3/180/180/180 -W2 -X0 -Y0 -S130/130/130 -K -Df -B -O  -Lfx4.3/0.75/10.0/100.0 >> p.ps 
psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitenicaragua.txt >> p.ps
psxy -R -JM -G100/100/100 -X0 -Y0 -K -O /usr/local/gmt/contornos/contorno_limitepanama.txt >> p.ps
pscoast -R -JM -N1/5 -W2 -X0 -Y0 -S130/130/130 -K -Df -B -O  -Lfx4.4/0.7/10.0/100.0+lkm -Tf-83.0/10.95/0.5/1   >> p.ps 

n=`wc loc.dat | awk '{print $1}'` 
x=1
while [ $x -le $n ]
do
  head -n $x loc.dat | tail -n 1 > t1
  c=`awk '{print $4}' p=$n t1`
  awk '{print $1,$2 }' t1 | psxy -Ss0.14 -R -JM -B -O -K -G255 >> p.ps
  awk '{print $1,$2 }' t1 | psxy -Ss0.12 -R -JM -B -O -K -G0 >> p.ps
  awk '{print $1,$2 }' t1 | psxy -Ss0.10 -R -JM -B -O -K -G$c >> p.ps
  x=`expr $x + 1`
done

pstext -R -JM -O -G255/255/255 -W -K <<END>> p.ps
-84.6 11.15 15  0 22 BL Nicaragua
-82.6  8.7  15 90 22 ML Panam\337
END
pstext -R -JM -O -G255/255/255 -K <<END>> p.ps
-82.9 10.5  15  0 22 MC Mar Caribe
-85.70  9.0  15  0 22 1 Oc\345ano Pac\354fico
END
pstext -R -JM -O -K -G <<END>> p.ps
-85.95 8.05 12 0 0 1 Laboratorio de Ingenier\354a S\354smica (INII-UCR)
END

#############ESCALA##########################


psxy -R-1/10/-1/5 -JX8/3 -P  -K -X0.1 -Y-1.5 -O <<END>> p.ps
END

#Leyenda
psxy -R -JX -Ss0.6 -K -O -W1 -G255/255/255 <<END>> p.ps
1.2 1.2 I-II
END
pstext -R -JX -K -O <<END>> p.ps
1.2 1.1 11 0 1 2 I
END
psxy -R -JX -Ss0.6 -K -O -W1 -G0/0/140 <<END>> p.ps
2.2 1.2 II-III
END
pstext -R -JX -K -O -Gwhite <<END>> p.ps
2.2 1.1 11 0 1 2 II-III
END
psxy -R -JX -Ss0.6 -K -O -W1 -G12/100/230 <<END>> p.ps
3.2 1.2 IV
END
pstext -R -JX -K -O <<END>> p.ps
3.2 1.1 11 0 1 2 IV
END
psxy -R -JX -Ss0.6 -K -O -W1 -G5/220/180 <<END>> p.ps
4.2 1.2 V
END
pstext -R -JX -K -O <<END>> p.ps
4.2 1.1 11 0 1 2 V
END
psxy -R -JX -Ss0.6 -K -O -W1 -G10/220/30 <<END>> p.ps
5.2 1.2 VI
END
pstext -R -JX -K -O <<END>> p.ps
5.2 1.1 11 0 1 2 VI
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/236/5 <<END>> p.ps
6.2 1.2 VII
END
pstext -R -JX -K -O <<END>> p.ps
6.2 1.1 11 0 1 2 VII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/139/5 <<END>> p.ps
7.2 1.2 VIII
END
pstext -R -JX -K -O <<END>> p.ps
7.2 1.1 11 0 1 2 VIII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G145/113/11 <<END>> p.ps
8.2 1.2 IX
END
pstext -R -JX -K -O <<END>> p.ps
8.2 1.1 11 0 1 2 IX
END
psxy -R -JX -Ss0.6 -K -O -W1 -G255/0/0 <<END>> p.ps
9.2 1.2 X-XI-XII
END
pstext -R -JX -K -O <<END>> p.ps
9.2 1.1 11 0 1 2 X+
END
# pstext -R -JX -K -O <<END>> p.ps
# 5 2. 14 0 1 2 Intensidad de Mercalli Modificada (IMM)
# END
pstext -R -JX -K -O <<END>> p.ps
1.2 0.4 10 0 1 2 No sentido
END
pstext -R -JX -K -O <<END>> p.ps
2.2 0.4 10 0 1 2 D\345bil
END
pstext -R -JX -K -O <<END>> p.ps
3.2 0.4 10 0 1 2 Suave
END
pstext -R -JX -K -O <<END>> p.ps
4.2 0.4 10 0 1 2 Moderado
END
pstext -R -JX -K -O <<END>> p.ps
5.2 0.4 10 0 1 2 Fuerte
END
pstext -R -JX -K -O <<END>> p.ps
6.2 0.4 10 0 1 2 Muy fuerte
END
pstext -R -JX -K -O <<END>> p.ps
7.2 0.4 10 0 1 2 Severo
END
pstext -R -JX -K -O <<END>> p.ps
8.2 0.4 10 0 1 2 Violento
END
pstext -R -JX -K -O <<END>> p.ps
9.2 0.4 10 0 1 2 Extremo
END

#Potencial de danio
pstext -R -JX -K -O <<END>> p.ps
1.2 -0.1 10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
2.2 -0.1 10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
3.2  -0.1  10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
4.2  -0.1  10 0 1 2 Muy poco
END
pstext -R -JX -K -O <<END>> p.ps
5.2  -0.1  10 0 1 2 Poco
END
pstext -R -JX -K -O <<END>> p.ps
6.2  -0.1  10 0 1 2 Moderado
END
pstext -R -JX -K -O <<END>> p.ps
7.2  -0.1  10 0 1 2 Cuantioso
END
pstext -R -JX -K -O <<END>> p.ps
8.2  -0.1  10 0 1 2 Grande
END
pstext -R -JX -K -O <<END>> p.ps
9.2  -0.1  10 0 1 2 Muy grande
END

pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 1.3 11 0 1 1 Intensidad de
-0.9 0.9 11 0 1 1 Mercalli (IMM)
END
pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 0.4 10 0 1 1 Percepci\360n
END
pstext -R -JX -K -O -G0/0/255 <<END>> p.ps
-0.9 -0.1 10 0 1 1 Da\227o probable
END


# mr=`awk '{print $1}' datos_mapas_pdf.dat`
# nr=`awk '{print $2}' datos_mapas_pdf.dat`
# mw=`awk '{print $4}' datos_mapas_pdf.dat`
# dp=`awk '{print $3}' datos_mapas_pdf.dat`
# 
# pstext -R0/5.5/0/2 -JX8.3/2 -X0.2 -Y-1.7 -P -G0/0/255  -O  -K <<END>>p.ps
# 0.1 1.5 12 0 1 1 Fecha: $mr 
# 1.20 1.5 12 0 1 1 Hora: $nr
# 2.2 1.5 12 0 1 1 Magnitud (Mw): $mw
# 3.45 1.5 12 0 1 1 Profundidad (km): $dp
# END


psxy -R -JX -O  <<END>> p.ps
END

rm .gmtcommands4

convert p.ps -background white -flatten -crop 586x640+18+25 -quality 100 sismo_escala.png
ps2pdf -dPDFSETTINGS=/printer -dUseFlateCompression=true -dEmbedAllFonts=true -dOptimize=true p.ps map_intens.pdf

cp p.ps reportex_sismo_escala.ps


mv map_intens.pdf  $tempdir
mv sismo_escala.png $tempdir

