#!/bin/bash

rm *.png *.ps

cp ../s1.xyz .
cp ../tmp1.grd .
cp ../locace.dat .
cp ../mw.dat .
cp ../epi.dat .
cp ../estaciones.txt .

ifort -o intensidad3 intensidad3.f

awk -F\; '{printf"%4s %4s\n", $1,$4}' estaciones.txt > tipos.dat
intensidad3

echo Trabajando con Bomberos...

impact_inten_bomberos.sh
impact_inten_bomberos2.sh

echo Generando la tabla en hoja carta
tabla_letter.sh

rm s1.xyz tmp1.grd locace.dat mw.dat epi.dat imm.dat p1.ps p.ps todos.dat intensidad3
