#!/bin/bash


rm *.png
rm *.ps
cp ../locace.dat .
cp ../mw.dat .
cp ../epi.dat .
cp ../estaciones.txt .

ifort -o intensidad3 intensidad3.f

awk -F\; '{printf"%4s %4s\n", $1,$4}' estaciones.txt > tipos.dat
intensidad3

echo Generando mapa de Cruz Roja con texto y locales
impact_inten_cruzroja.sh
echo Copiando archivos s1.xyz y tmp1.grd en directorio anterior
cp s1.xyz ..
cp tmp1.grd ..

echo Generando mapa de Cruz Roja simple
impact_inten_cruzroja2.sh

echo Generando la tabla en hoja carta
tabla_letter.sh

rm locace.dat mw.dat epi.dat imm_5m.dat intensidad3 todos.dat imm.dat s1.xyz tmp1.grd p.ps p1.ps
