#!/bin/bash

gmtset        BASEMAP_TYPE PLAIN
gmtset PAPER_MEDIA letter


ifort -o leer_cruzroja_letter leer_cruzroja_letter.f

nt=`wc datos_tabla_cruzroja.dat| awk '{print $1}' `
leer_cruzroja_letter

pstext -R0/10/-72.5/0 -JX8/10.8 -X0.2 -Yc -P cruzroja_intensidad_letter.txt -B0 > p1.ps

cp p1.ps tabla_cruz_roja_letter.ps

ps2epsi tabla_cruz_roja_letter.ps ../tabla_cruz_roja_letter.epsi

rm .gmtdefaults4
