#!/bin/bash

(

tempdir=`head -n 1 ../destino.dat`

for st_name in `cat lista.dat`
do
  echo $st_name
  ls sac*.$st_name
sac2000<<END

R sac*.$st_name
ABS

SETBB AMAX.1.$I &1,DEPMAX
SETBB AMAX.2.$I &2,DEPMAX
SETBB AMAX.3.$I &3,DEPMAX

GETBB TO $st_name.txt NEWLINE OFF AMAX.1.$i
GETBB TO $st_name.txt NEWLINE OFF AMAX.2.$i
GETBB TO $st_name.txt NEWLINE OFF AMAX.3.$i

R sac*.$st_name
TAPER TYPE COS W 0.1
INT
RMEAN
RTREND
ABS

SETBB VMAX.1.$I &1,DEPMAX
SETBB VMAX.2.$I &2,DEPMAX
SETBB VMAX.3.$I &3,DEPMAX

GETBB TO $st_name.tvt NEWLINE OFF VMAX.1.$i
GETBB TO $st_name.tvt NEWLINE OFF VMAX.2.$i
GETBB TO $st_name.tvt NEWLINE OFF VMAX.3.$i

END

awk '{printf"%f\n", $3}' $st_name.txt | sort -n | tail -n 1 > ta
awk '{printf"%f\n", $3}' $st_name.tvt | sort -n | tail -n 1 > tv
paste ta tv > tc
awk '{printf"%f %f %f\n", $1,$2,$1*$2}' tc | sort -n | tail -n 1 > $st_name.max
rm ta tv tc

awk '{

if($1 <= 1.7) print $1,$2,$3,"a"
else
if($1 > 1.7 && $1 <= 14.0) print $1,$2,$3,"b"
else
if($1 > 14.0 && $1 <= 39.0) print $1,$2,$3,"c"
else
if($1 > 39.0 && $1 <= 92.0) print $1,$2,$3,"d"
else
if($1 > 92.0 && $1 <= 180.0) print $1,$2,$3,"e"
else
if($1 > 180.0 && $1 <= 340.0) print $1,$2,$3,"f"
else
if($1 > 340.0 && $1 <= 650.0) print $1,$2,$3,"g"
else
if($1 > 650.0 && $1 <= 1240.0) print $1,$2,$3,"h"
else
if($1 > 1240.0) print $1,$2,$3,"i"

}' $st_name.max > $st_name.mmi
rm $st_name.tvt

cp $st_name.txt ../mapint/cns
cp $st_name.txt ../mapint/cew
cp $st_name.txt ../mapint/cud

cp $st_name.mmi ..

done


comprimir_rt.sh &


)










# 
# x=0
# for i in 2???????????????_????????_????_?.rt
# do
#   echo $i
#   x=`expr $x + 1`
#   rt_asc -L- $i
#   for j in 2???????????????_????__?_?.atr
#   do
#     ev_name=`echo $j | cut -c1-16`
#     st_name=`echo $j | cut -c18-21`
#     cp_name=`echo $j | cut -c25-26`
#     if [ $cp_name = "_1" ]
#     then
#        cx=UD
#     fi
#     if [ $cp_name = "_2" ]
#     then
#        cx=NS
#     fi
#     if [ $cp_name = "_3" ]
#     then
#        cx=EW
#     fi
#     fn=sac_$ev_name$st_name$cp_name.in
#     cp $j infile
#     leer
# sac2000<<END
# ra content y ofile
# chnhdr delta 0.005
# chnhdr kcmpnm $cx
# chnhdr kstnm $st_name
# rmean
# rtrend
# BP BU CO 0.1 25.0
# W SAC $fn
# ABS
# setbb amax.$cx.$st_name &1,depmax
# r $fn
# TAPER TYPE COS W 0.1
# BP BU CO 0.1 10.0
# INT
# W SAC $fn.vel
# ABS
# setbb vmax.$cx.$st_name &1,depmax
# getbb to $st_name.txt newline off amax.$cx.$st_name vmax.$cx.$st_name
# END
# 
# #USGS usa %g en la tabla de aceleracion, con g=981cm/s2
# awk '{printf"%f %f %f\n", $3,$6,$3*$6}' $st_name.txt | sort -n | tail -n 1 > $st_name.max
# 
# #A descriptive table of  Modified Mercalli Intensity is available from ABAG 
# #(Association of Bay Area Governments). A table of intensity descriptions with 
# #the corresponding peak ground acceleration (PGA) and peak ground velocity 
# #(PGV) values used in the ShakeMaps is given below. 
# #ShakeMap uses PGA to estimate intensities lower than V, 
# #it linearly combines PGA & PGV for intensities greater than V and less than VII, 
# #and it uses PGV for intensities greater than VII
# 
# 
# awk '{
# 
# if($1 <= 1.7) print $1,$2,$3,"a"
# else
# if($1 > 1.7 && $1 <= 14.0) print $1,$2,$3,"b"
# else
# if($1 > 14.0 && $1 <= 39.0) print $1,$2,$3,"c"
# else
# if($1 > 39.0 && $1 <= 92.0) print $1,$2,$3,"d"
# else
# if($1 > 92.0 && $1 <= 180.0) print $1,$2,$3,"e"
# else
# if($1 > 180.0 && $1 <= 340.0) print $1,$2,$3,"f"
# else
# if($1 > 340.0 && $1 <= 650.0) print $1,$2,$3,"g"
# else
# if($1 > 650.0 && $1 <= 1240.0) print $1,$2,$3,"h"
# else
# if($1 > 1240.0) print $1,$2,$3,"i"
# 
# }' $st_name.max > $st_name.mmi
# 
# 
#   done
# rm *.atr
# 
# done
# mv ????.mmi ..
# rm infile f001.sgf sac*.ps ofile test.gif *.txt sac_*.in *.max
# )
