#!/bin/bash

head -n 25 datos.dat > datos2.dat

gnuplot<<END
set terminal png enhanced size 590,400
set title  font 'Arial,10' 'Aceleraciones de las 25 estaciones mas cercanas epicentro'
set output 'hist.png'
set ylabel font 'Arial,8' 'PGA (cm/s^2)'
set xlabel 'Sigla de estaciones'  font 'Arial,10'
set nokey
set style data histogram
set style fill solid border -1
set xtic rotate by -90 font 'Arial,8'
set bmargin 5
plot 'datos2.dat' using 3:xtic(1)
END
