#!/bin/bash

tempdir=`head -n 1 destino.dat`

if [ -f nom.sms ]
then
  rm nom.sms
fi

echo From: "Lab. Ing. Sismica" > lista.sms
echo "Subject: Intensidades de sismo registrado" >> lista.sms
 
echo "Valores de intensidad de movimiento del suelo" >> lista.sms
echo "Laboratorio de Ingeneiria Sismica, INII-UCR" >> lista.sms
echo "Fecha: " `cat nom.dat` " Hora: " `cat hor.dat` >> lista.sms
echo "------------------" >> lista.sms
echo "Intensidad   Lugar" >> lista.sms
echo "------------------"  >> lista.sms
for i in *.mmi
do
  k=`echo $i | cut -c1-4`
  j=`awk '{print $1}' $i`
  echo $k $j>> nom.sms
done
sort -n -r -k 2 nom.sms > nom1.sms
p=`head -n 1 nom1.sms | awk '{print $2}'`
g=`echo $p | awk '{if ($1 > 5.0) print "SI";else print "NO"}'`

n=`wc nom1.sms | awk '{print $1}'`
for i in `seq 1 $n`
do
  e=`head -n $i nom1.sms | tail -n 1 | awk '{print $1}'`
  v=`head -n $i nom1.sms | tail -n 1 | awk '{print $2}'`
  f=`grep $e prov.sms | awk '{print $2,$3,$4,$5,$6,$7,$8}'`
  m=`echo $v | awk '{r=$1
           if(r < 1.7)            print "__I_______";
           if(r >=1.7 && r <14)   print "__II-III__";
           if(r >=14 && r <39)    print "__IV______";
           if(r >=39 && r <92)    print "__V_______";
           if(r >=92 && r <180)   print "__VI______";
           if(r >=180 && r <340)  print "__VII_____";
           if(r >=340 && r <650)  print "__VIII____";
           if(r >=650 && r <1240) print "__IX______";
           if(r >=1240)           print "__X+______";
          }'`
  echo $m $f>> lista.sms
done
echo "===========================" >> lista.sms
echo "Aceleracion maxima=$p" >> lista.sms
echo "Mas informacion en " >> lista.sms
echo "http://www.lis.ucr.ac.cr " >> lista.sms

d2=`tail -n 1 dirfile`

cp lista.sms $tempdir

curl "http://163.178.174.210/nuevanoticia.php?FechaDelEvento=$d2"

echo Se pone una "A" en la lista de la base de datos para 
echo indicar que es un informe automatico.
(
cd /home/lis/python_infoAutomaticos/
ejecutar_infoAutomaticos.sh
)
#if [ $g == SI ]
#then
#curl "http://163.178.174.210/evento.php?FechaDelEvento=$d2"
#echo "Se envia un correo"
#fi

if [ $g == SI ]
then
  echo Amplitud es mayor a 5 cm/s2
  if [ -s epicentro/mw.dat ]
  then
    echo Archivo de mw.dat no esta vacio
    x1=`cat epicentro/mw.dat | awk '{if($1 > 1.0) print "S";else print "N"}'`
    if [ "$x1" == "S" ]
    then
      echo El valor de mw.dat es mayor a 1.0
      curl "http://163.178.174.210/evento.php?FechaDelEvento=$d2"
      echo "Se envia un correo"
    fi
  fi
fi

