real :: a(200000),b(200000)

open(10,file='infile',status='old')
read(10,*) dt,npts
amax = -1.0
amin = 1.0e6
gmax = -1.0
do i = 1, npts
  read(10,*) x
  if(amax < x) amax = x
  if(amin > x) amin = x
  if(abs(x) > gmax) gmax = abs(x)
  a(i)=x
enddo
close(10)

suma=0.0
do i = 1,npts
  suma=suma+abs(a(i))
enddo
prm=suma/real(npts)
if(gmax.gt.2.0*prm) then
  print*,"Seleccionado",gmax,2.0*prm
  !Normalizado
  t=0.0
  do i = 1, npts
    b(i)=a(i)*100.0/amax
    t=t+dt
    if(b(i) <= 5.0) pc05=t
    if(b(i) <= 95.0) pc95=t
  enddo
else
  print*,"No tomado",gmax,2.0*prm
  t=0.0
  do i = 1, npts
    b(i)=1.0
    t=t+dt
    pc05=0.0
    pc95=0.0
  enddo
endif

tn=pc95-pc05
st=real(npts)*dt
t=0.0
open(20,file='oufile',status='replace')
write(20,*) pc05,pc95,tn,st
do i = 1, npts
  t=t+dt
  write(20,*) t,b(i)
enddo
close(20)

stop
end

