#!/bin/bash

(
icc -o readsac readsac.c -lm
ifort -o nplano nplano.f
ifort -o comparar comparar.f
ifort -o suavizar suavizar.f

rm temp1
for j in sac*.x.p
do
rm temp
sac2000<<END
r $j
setbb tp &1,a
getbb to temp names off newline off tp
END
x=`cat temp`
jj=`echo $j | cut -c1-30`
echo $jj $x >> temp1
done

sed /UNDEFINED/d temp1 > temp

nf=`wc temp | awk '{print $1}'`
for j in `seq 1 $nf`
do
  fv=`head -n $j temp | tail -n 1 | awk '{print $1}' | cut -c1-28`
  vn=`head -n $j temp | tail -n 1 | awk '{print $2}'`
  st=`head -n $j temp | tail -n 1 | awk '{print $1}' | cut -c25-28`
sac2000<<END
setbb f1 $fv
setbb fn '( CHANGE '._1.' '._2.' %f1 )'
setbb fe '( CHANGE '._1.' '._3.' %f1 )'
r %f1 %fn %fe
WRITE SAC $st.1 $st.2 $st.3

r sac*._1.$st.x.p
setbb tp &1,a

r  $st.2 $st.3
evaluate to xruido %tp - 50
evaluate to xtinic %tp - 5
evaluate to xtfina %tp + 40
cut %xtinic %xtfina
r
rmean
TAPER TYPE COSINE WIDTH 0.1
fft am
divomega
divomega
cut off
wsp temp_n temp_e

r temp_n.am temp_e.am
sqr
W SAC OVER
r temp_n.am
addf temp_e.am
sqrt
W SAC $st.r
CUT OFF

r  $st.2 $st.3
CUT %xruido %xtinic           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac $st.v
END
done

for j in ????.r
do
  w=`echo $j | sed s/.r/.v/g`
  u=`echo $j | sed s/.r/.b/g`
  echo $j $w
  readsac < $j > $j.txt
  cp $j.txt raw_file
  suavizar
  mv smt_file infile.r
  readsac < $w > $w.txt
  cp $w.txt raw_file
  suavizar
  mv smt_file infile.v
  comparar
  mv frec.dat $u
  rm raw_file
done




rm temp1.dat
for j in ????.b
do
  rm infile
  cp $j infile
  fl=`nplano`
  k=`echo $j | cut -c1-4`
  echo $k $fl >> temp1.dat
  echo $k $fl
done
cp temp1.dat temporal.dat
ls -c1 *.b | cut -c1-4 > lista_r.dat

)