#!/bin/bash

mr=`cat nom.dat`
nr=`cat hor.dat`
na=`cat kan.dat`
mw=`cat mw.dat`
dp=`awk '{printf"%5.1f\n",$3}' epi.dat`

pstext -R0/5.5/0/2 -JX8.3/2 -X0.05 -Y5.0 -P -G0/0/255 -B1 <<END>p.ps
0.1 1.5 12 0 1 1 Fecha: $mr 
1.15 1.5 12 0 1 1 Hora: $nr
2.05 1.5 12 0 1 1 Magnitud (Mw): $mw
3.15 1.5 12 0 1 1 Profundidad (km): $dp
4.5 1.5 12 0 1 1 Estaciones: $na
END
convert p.ps -crop 586x30+5+305 fecha0.png
