#!/bin/bash


# Buscar que el RMS de cada estacion no sea mayor a 10.0
cp elocate.dat elocate.dat.0
n_evs=`wc elocate.dat | awk '{print $1}'`
echo Hay $n_evs datos en elocate.dat
for m in 1 2 3 4 5
do
  echo Realizando $m iteracion para buscar RMS alto
  cp elocate.dat elocate.dat.$m
  elocate2 -M 3 -DEPTH 10.0 -BATCH > resultado.dat
  cat fort.61
  awk '{if($7<0) print $1,-1*$7;else print $1,$7}' fort.61 | sort -n -k2 > res.r.$m
  cat res.r.$m
  e_est=`tail -n 1 res.r.$m | awk '{if($2>2) print $1;else print "XXX"}'`
  sed "/$e_est/d" elocate.dat.$m > elocate.dat
  echo La estacion que se elimina es $e_est
  mv *$e_est* nousados
done
n_evs=`wc elocate.dat | awk '{print $1}'`
echo Quedaron $n_evs datos en elocate.dat
