#!/bin/bash

(

stime=40

if [ -f level.dat ]
then
  rm level.dat
fi

for j in `cat lista.dat`
do
 for i in sac*_3.$j
 do
  nres=`echo $i | cut -c25-28`
  norte=$i
  este=`echo $i | sed s/"_3."/"_2."/g`
  vert=`echo $i | sed s/"_3."/"_1."/g`
  echo $norte $este $vert.x.p

  if [ -f ruido.spc ]
  then
    rm ruido.spc
  fi

sac2000<<END
WINDOW 1 X 0.1 0.45 Y 0.6 0.9
BD X
CUT OFF
QDP OFF

OAPF NAME level.dat

r $vert.x.p
SETBB XTS &1,a
r $norte $este

evaluate to xruido %xts - $stime
evaluate to xtinic %xts - 0.1
evaluate to xtfina %xts + $stime

CUT %xruido %xtinic           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac ruido.spc


r $norte $este
CUT %xtinic %xtfina           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac $nres
r $nres ruido.spc
loglog
xlim 0.1 100.0
ylim 0.000000001 10000
color black inc on
p2
color black inc off
window 2 X 0.5 0.9 Y 0.6 0.9
bw 2
r $nres
plotpk perplot 1 savelocs on 
capf
q
END

 done
done

if [ -f level2.dat ]
then
  rm level2.dat
fi

rm temp?.dat

for i in `cat lista.dat`
do
  grep $i level.dat | awk '{print $1,$7}' >> temp1.dat
done


)
