#!/bin/bash


na=`cat kan.dat`
mw=`cat mw.dat`

dp=`awk '{printf"%5.1f\n",$3}' epi.dat`

xmag=`cat mw.dat`
xpro=`awk '{printf"%5.1f\n",$3}' epi.dat`

grep OCAL resultado.dat > r23.dat
yy=`awk '{print $4}' r23.dat`
mm=`awk '{if($5<10) printf"%1d\n",$5;else printf"%2d\n",$5}' r23.dat`
dd=`awk '{if($6<10) printf"%1d\n",$6;else printf"%2d\n",$6}' r23.dat`
hh=`awk '{if($7<10) printf"%1d\n",$7;else printf"%2d\n",$7}' r23.dat`
nn=`awk '{if($8<10) printf"%1d\n",$8;else printf"%2d\n",$8 }' r23.dat`
ss=`awk '{if($9<10) printf"%1d\n",$9;else printf"%2d\n",$9 }' r23.dat`

echo Fecha UTC: $yy$mm$dd$hh$nn$ss

python<<END
import datetime
a = datetime.datetime($yy,$mm,$dd,$hh,$nn,$ss)
b = a - datetime.timedelta(0,21600)
print a
print b
af=open('fecha_calculada.dat','w')
af.write(str(b.date())+'\n')
af.write(str(b.time())+'\n')
af.close()
END

f1=`head -n 1 fecha_calculada.dat | awk -F\- '{print $1}'`
f2=`head -n 1 fecha_calculada.dat | awk -F\- '{print $2}'`
f3=`head -n 1 fecha_calculada.dat | awk -F\- '{print $3}'`

xtiempo=`tail -n 1 fecha_calculada.dat`
xfecha_origen=`head -n 1 fecha_calculada.dat`

xfecha=$f3-$f2-$f1
echo $xfecha > nom.dat
echo $xtiempo > hor.dat


echo ==============================
echo Estos son los datos
echo ==============================
echo Fecha: $f1-$f2-$f3
echo Hora : $xtiempo
echo Magn : $xmag
echo Prof : $xpro
echo ==============================

echo $xfecha $xtiempo $xpro $xmag 
echo $xfecha $xtiempo $xpro $xmag > datos_mapas_pdf.dat

mr=$xfecha
nr=$xtiempo
mw=$xmag
dp=$xpro

pstext -R0/5.5/0/2 -JX8.3/2 -X0.05 -Y5.0 -P -G0/0/255 -B1 <<END>p.ps
0.1 1.5 12 0 1 1 Fecha: $mr 
1.15 1.5 12 0 1 1 Hora: $nr
2.05 1.5 12 0 1 1 Magnitud (Mw): $mw
3.15 1.5 12 0 1 1 Profundidad (km): $dp
4.5 1.5 12 0 1 1 Estaciones: $na
END
convert p.ps -crop 586x30+5+305 fecha0.png

echo "Creando archivo con tiempo origen"

echo "<?" > datos_origen.php
echo "\$to_fecha=\"$xfecha_origen\";" >> datos_origen.php
echo "\$to_hora=\"$xtiempo\";" >> datos_origen.php
echo "?>" >> datos_origen.php
