#!/bin/bash

#Los valores en *.asc estan en FED, estos se multiplican por la aceleracion pico efectiva
#para cada suelo y cada zona sismica y por un factor de 0.8 para obtener un espectro
#en PSA que son las mismas unidades del observado.

awk '{print $1,$2*200/0.8}' s1z2.asc > s1z2.psa
awk '{print $1,$2*300/0.8}' s1z3.asc > s1z3.psa
awk '{print $1,$2*400/0.8}' s1z4.asc > s1z4.psa

awk '{print $1,$2*240/0.8}' s2z2.asc > s2z2.psa
awk '{print $1,$2*330/0.8}' s2z3.asc > s2z3.psa
awk '{print $1,$2*400/0.8}' s2z4.asc > s2z4.psa

awk '{print $1,$2*280/0.8}' s3z2.asc > s3z2.psa
awk '{print $1,$2*360/0.8}' s3z3.asc > s3z3.psa
awk '{print $1,$2*440/0.8}' s3z4.asc > s3z4.psa

awk '{print $1,$2*340/0.8}' s4z2.asc > s4z2.psa
awk '{print $1,$2*360/0.8}' s4z3.asc > s4z3.psa
awk '{print $1,$2*360/0.8}' s4z4.asc > s4z4.psa