#!/bin/bash

tempdir=`head -n 1 ../destino.dat`


for i in 2*_2.????.asc.fed
do
  o=`echo $i | sed s/_2./_3./g`
  s=`echo $i | sed s/_2./_r./g`
  echo $i $o $s
  if [ -f $o ]
  then
    paste $i $o > $s
  fi
done


if [ -d thumbs ]
then
  rm -r thumbs
fi
mkdir thumbs
x=100
for i in 2*_r.????.asc.fed
do
  echo $i
  v=`echo $i | cut -c21-24`
  w=`grep $v ubicar.dat | awk '{print $2}'`
  x=`expr $x + 1`
psxy -R0.01/20.0/0.01/100000 -JX5l/5l -P -B1f3g3p:"Periodo (s)":/a1f3g3p:"PSA(cm/s@+2@+)"::."Sitio $v":WSne -K -X2.0 -Y5.0 <<END> p.ps
END
  awk '{if(NR>1) print $1,$2}' $i | psxy -R -JX -O -K -W4/255/0/0 >> p.ps
  awk '{if(NR>1) print $1,$4}' $i | psxy -R -JX -O -K -W4/0/0/255 >> p.ps
  awk '{if(NR>1) print $1,$2}' CSCR2010/$w.psa | psxy -R -JX -O -K -W4/darkgreen >> p.ps


psxy -R0/1/0/1 -JX1.5/1 -B0 -X0.1 -Y0.1 -O -K -Gwhite <<END>> p.ps
0 0
0 1
1 1
1 0
0 0
END
psxy -R -JX -O -K -W8/red <<END>> p.ps
0.1 0.8
0.25 0.8
END
psxy -R -JX -O -K -W8/blue <<END>> p.ps
0.1 0.49
0.25 0.49
END
psxy -R -JX -O -K -W8/darkgreen <<END>> p.ps
0.1 0.21
0.25 0.21
END
pstext -R -JX -K -O <<END>> p.ps
0.35 0.75 12 0 1 1 Comp NS
0.35 0.45 12 0 1 1 Comp EW
0.35 0.15 12 0 1 1 CSCR 2010
END


psxy -R -JX -O  <<END>> p.ps
END


convert p.ps -crop 586x475+25+12 feds$x.png

convert -size 100x40 xc:white -fill blue  -font Helvetica-Bold -pointsize 25 -draw "text 15,29 '$v'"  -frame 2x2 test.gif
convert test.gif -matte \
          \( +clone -fill DarkSlateGrey -colorize 100% -repage +0+1 \) \
          \( +clone -repage +1+2 \) \
          \( +clone -repage +1+3 \) \
          \( +clone -repage +2+4 \) \
          \( +clone -repage +2+5 \) \
          \( +clone -repage +3+6 \) \
          -background none -compose DstOver -mosaic  a.png

mv a.png thumbs/feds$x.png

mv feds$x.png $tempdir/fed
done
mv thumbs $tempdir/fed

