#!/bin/bash

psxy -R-1/10/-1/5 -JX8/3 -P  -K -X0.2 -Y8.0 <<END> p.ps
END

#Leyenda
psxy -R -JX -Ss0.6 -K -O -W1 -G255/255/255 <<END>> p.ps
1.2 1.2 I-II
END
pstext -R -JX -K -O <<END>> p.ps
1.2 1.1 11 0 1 2 I-II
END
psxy -R -JX -Ss0.6 -K -O -W1 -G0/0/140 <<END>> p.ps
2.2 1.2 III
END
pstext -R -JX -K -O -Gwhite <<END>> p.ps
2.2 1.1 11 0 1 2 III
END
psxy -R -JX -Ss0.6 -K -O -W1 -G12/100/230 <<END>> p.ps
3.2 1.2 IV
END
pstext -R -JX -K -O <<END>> p.ps
3.2 1.1 11 0 1 2 IV
END
psxy -R -JX -Ss0.6 -K -O -W1 -G5/220/180 <<END>> p.ps
4.2 1.2 V
END
pstext -R -JX -K -O <<END>> p.ps
4.2 1.1 11 0 1 2 V
END
psxy -R -JX -Ss0.6 -K -O -W1 -G10/220/30 <<END>> p.ps
5.2 1.2 VI
END
pstext -R -JX -K -O <<END>> p.ps
5.2 1.1 11 0 1 2 VI
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/236/5 <<END>> p.ps
6.2 1.2 VII
END
pstext -R -JX -K -O <<END>> p.ps
6.2 1.1 11 0 1 2 VII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G242/139/5 <<END>> p.ps
7.2 1.2 VIII
END
pstext -R -JX -K -O <<END>> p.ps
7.2 1.1 11 0 1 2 VIII
END
psxy -R -JX -Ss0.6 -K -O -W1 -G145/113/11 <<END>> p.ps
8.2 1.2 IX
END
pstext -R -JX -K -O <<END>> p.ps
8.2 1.1 11 0 1 2 IX
END
psxy -R -JX -Ss0.6 -K -O -W1 -G255/0/0 <<END>> p.ps
9.2 1.2 X-XI-XII
END
pstext -R -JX -K -O <<END>> p.ps
9.2 1.1 11 0 1 2 X-XII
END
# pstext -R -JX -K -O <<END>> p.ps
# 5 2. 14 0 1 2 Intensidad de Mercalli Modificada (IMM)
# END
pstext -R -JX -K -O <<END>> p.ps
1.2 0.4 10 0 1 2 No sentido
END
pstext -R -JX -K -O <<END>> p.ps
2.2 0.4 10 0 1 2 Debil
END
pstext -R -JX -K -O <<END>> p.ps
3.2 0.4 10 0 1 2 Suave
END
pstext -R -JX -K -O <<END>> p.ps
4.2 0.4 10 0 1 2 Moderado
END
pstext -R -JX -K -O <<END>> p.ps
5.2 0.4 10 0 1 2 Fuerte
END
pstext -R -JX -K -O <<END>> p.ps
6.2 0.4 10 0 1 2 Muy fuerte
END
pstext -R -JX -K -O <<END>> p.ps
7.2 0.4 10 0 1 2 Severo
END
pstext -R -JX -K -O <<END>> p.ps
8.2 0.4 10 0 1 2 Violento
END
pstext -R -JX -K -O <<END>> p.ps
9.2 0.4 10 0 1 2 Extremo
END

#Potencial de danio
pstext -R -JX -K -O <<END>> p.ps
1.2 -0.1 10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
2.2 -0.1 10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
3.2  -0.1  10 0 1 2 Ninguno
END
pstext -R -JX -K -O <<END>> p.ps
4.2  -0.1  10 0 1 2 Muy poco
END
pstext -R -JX -K -O <<END>> p.ps
5.2  -0.1  10 0 1 2 Poco
END
pstext -R -JX -K -O <<END>> p.ps
6.2  -0.1  10 0 1 2 Moderado
END
pstext -R -JX -K -O <<END>> p.ps
7.2  -0.1  10 0 1 2 Cuantioso
END
pstext -R -JX -K -O <<END>> p.ps
8.2  -0.1  10 0 1 2 Grande
END
pstext -R -JX -K -O <<END>> p.ps
9.2  -0.1  10 0 1 2 Muy grande
END

pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 1.3 11 0 1 1 Intensidad de
-0.9 0.9 11 0 1 1 Mercalli (IMM)
END
pstext -R -JX -K -O  -G0/0/255 <<END>> p.ps
-0.9 0.4 10 0 1 1 Percepcion
END
pstext -R -JX -K -O -G0/0/255 <<END>> p.ps
-0.9 -0.1 10 0 1 1 Dano probable
END


psxy -R -JX -O  <<END>> p.ps
END
convert p.ps -crop 586x72+5+118 escala1.png
display escala1.png


