      parameter (nn=1000)
      character pts(1000)*2,cod(nn)*4,xcod(nn)*4,suel(nn)*4
      real plon(nn), plat(nn),d(nn)
      real rlon(nn), rlat(nn)
      real xlon(nn),xlat(nn),xpga(nn),k(10,nn)
      real l0,l1,l2,l3,l4,l5,l6,lw

! Constantes de la ecuacion para eventos corticales
      cb1=0.15454
      cb2=0.48743
      cb3=-1.03269
      cb4=3.83891
      cb5=0.21489
      cb6=0.11115
      csd=0.4093

!Constantes para eventos de subduccion
      sb1=0.525
      sb2=0.536
      sb3=-1.308
      sb4=0.358
      sb5=0.119
      ssd=0.353      

      open(20,file="epi.dat",status="old")
      read(20,*) elon,elat,edep
      close(20)

      open(22,file="mw.dat",status="old")
      read(22,*) amag
      close(22)

      open(10,file="tipos.dat",status="old")
      do i = 1, 1000
        read(10,"(A4,3x,A4)",end=123) cod(i),suel(i)
      enddo
  123 close(10)
      ntipos=i-1

      open(14,file="locace.dat",status="old")
      do i = 1, 1000
        read(14,*,end=124) xlon(i),xlat(i),xpga(i),xcod(i)
      enddo
  124 close(14)
      nloc=i-1

      np=0
      open(15,file="todos.dat",status="unknown")
      do i = 1, ntipos
        do j = 1, nloc
	  if(cod(i).eq.xcod(j)) then
	    np = np + 1
	    write(15,125) xlon(j),xlat(j),xpga(j),suel(i)(1:2)
	  endif
	enddo
      enddo
      close(15)

      d1=0.0
      d2=0.0
      d3=0.0
      d4=0.0
      d5=0.0
      d6=0.0

!      open(24,file="valores.dat",status="unknown")
      open(26,file="todos.dat",status="old")
      do i = 1, np
        read(26,125) plon(i),plat(i),xpga(i),pts(i)

	xi=xpga(i)
        call marcas(xi,l0)

        x1=(elon-plon(i))**2
        y1=(elat-plat(i))**2
        f = sqrt(x1+y1)*109.3
        d(i)=sqrt(f**2+edep**2)
 
        if(pts(i)=="s1") then
	  S=0.0
	  H=0.0
	endif

        if(pts(i)=="s2") then
	  S=0.0
	  H=1.0
	endif

        if(pts(i)=="s3") then
	  S=1.0
	  H=0.0
	endif

        if(pts(i)=="s4") then
	  S=1.0
	  H=0.0
	endif

        k(1,i)=l0


      enddo
!      close(24)
      close(26)

      i=np+1
      d(i) = edep
      if(edep.gt.40) then
      x1=sb1+sb2*amag+sb3*log10(sqrt(d(i)**2+5**2))+S*sb4+H*sb5
      else
      x1=cb1+cb2*amag+cb3*log10(sqrt(d(i)**2+cb4**2))+S*cb5+H*cb6
      endif
      S=0.0
      H=0.0
      y1=10**(x1)
      call marcas(y1,l1)
      print*,y1,l1
      open(18,file="imm.dat",status="unknown")
      do i = 1, np
        write(18,*) plon(i),plat(i),k(1,i)
      enddo
      write(18,*) elon,elat,l1

      write(18,*) -85.01, 10.898,"NaN"


      close(18)

 505  format(3(F10.4,1x),1x,F4.1,1x,A2,1x,6(F10.4,1x,F4.1)) 
 125  format(F8.4,1x,F8.4,1x,F9.4,1x,A2)

      stop
      end


      subroutine marcas(y,ix)
      real ix
	if(y.le.1.7) ix=1.0
    	if(y.gt.1.7.and.y.le.14.0) ix=2.5
        if(y.gt.14.0.and.y.le.39.0) ix=4.0
    	if(y.gt.39.0.and.y.le.92.0) ix=5.0
    	if(y.gt.92.0.and.y.le.180.0) ix=6.0
    	if(y.gt.180.0.and.y.le.340.0) ix=7.0
    	if(y.gt.340.0.and.y.le.650.0) ix=8.0
    	if(y.gt.650.0.and.y.le.1240.0) ix=9.0
	if(y.gt.1240.0) ix=10.0

      return
      end
