#!/bin/bash

sms_dir=/home/lis/reftek/rtpsms/mesg
rep_dir=/home/lis/reportes
(
cd $rep_dir

x=0
for e in 1 1
do

  ls -dc1 2????????????? 2> /dev/zero | sort | cut -c1-14 > dir_temps
  if [ -s dir_temps ]
  then
      for r in `cat dir_temps`
      do
        wx=`date +"%Y%m%d%H%M%S"`
        vx=`expr $wx - $r`
        if [ $vx -gt 1000 ]
        then
            echo $r fue creado hace $vx segundos
            mv $r eventos
            echo Directorio movido a eventos...
        fi
      done  
  fi     

  
  ls -c1 $sms_dir/*.SMS 2> /dev/zero | sort > temp
  if [ -s temp ]
  then
    n=`cat temp | wc -l`
    if [ $n -ge 7 ]
    then
      echo "Eventos detectados:  $n"
      echo "Esperando 20 segundos..."
      sleep 20


      ls -c1 $sms_dir/*.SMS | cut -c44-47 | sort > xr01.dat
      vx=`uniq -d xr01.dat`

      cat xr01.dat
      if [ ! -n "$vx" ]
      then
         bbr="s"
      else
         awk '{arr[$1]++} END {for(i in arr) print i,arr[i]}' xr01.dat > a01
         sort -n -k2 a01 > a02 
         awk '{if( $2 == "1" ) print $1}' a02 > a03
         nvn=`cat a03 | wc -l`
         if [ $nvn -ge 7 ]
         then
             bbr="s"
             echo "Lista luego de revisar da N= $nvn"
             cat a03
         else
             bbr="n"
             echo "Lista corta de eventos"
             cat a03
         fi
      fi

      if [ "$bbr" == "s" ]
      then
        echo "Proceso continua"
        rm xr01.dat
        dir_name=`date +"%Y%m%d%H%M%S"`
        dir_nam1=`date +"%Y-%m-%d-%H:%M:%S"`
        r=`date +"%Y-%m-%d"`
        s=`date +"%H:%M:%S"`

        t=`ls -c1 $sms_dir/*.SMS | wc -l`
        echo "Eventos procesados:  $t"
        mkdir $rep_dir/$dir_name
        mv $sms_dir/*.SMS $rep_dir/$dir_name
        (
        cd $rep_dir/$dir_name
        echo $dir_name > dirfile
        echo $r >> dirfile
        echo $s >> dirfile
        echo $dir_nam1 >> dirfile
        cp ../crear_reporte.sh .
#        crear_reporte.sh
        crear_reporte.sh > salida_rep.dat &
        )
        if [ $? -eq 0 ] 
        then 
          echo
          echo ================================
          echo "Directorio $dir_name creado"
          echo ================================
        else
          echo "Error en el procesado"
        fi
        rm temp 
      else
        echo "Hay un evento duplicado, no se procesan registros"
        rm xr01.dat
        rm $sms_dir/*.SMS
      fi

    else 
      x=`expr $x + 1`
      if [ $x -ge 1  ]
      then
        echo "Se borro un evento aislado luego de $x intentos a las " `date +"%c"`
        for m in $sms_dir/*.SMS
        do
          echo $m
          head -n 1 $m
        done
        rm $sms_dir/*.SMS
        x=0
      fi
    fi
  fi
done 

)
