#!/bin/bash


tempdir=`head -n 1 ../destino.dat`


elon=`awk '{print $1}' epi.dat `
elat=`awk '{print $2}' epi.dat `
d=`awk '{print $3}' epi.dat `

(

mv param_pga.dat param.dat 

if [ -f t2 ]
then
  rm t2
fi

cut -c1-4 param.dat > lista.dat
for i in `cat lista.dat`
do
    grep $i ../coord.txt | awk '{print $2,$3}' > t1
    de=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));print a*109.3}' x0="$elon" y0="$elat" t1`
    dh=`awk '{a=sqrt($3*$3+r*r);printf"%6.1f\n",a}' r="$de" epi.dat`
    va=`grep $i param.dat | awk '{print $2}'`
    echo $i $dh $va >> t2
done

sort -n  -k 2 t2 > datos.dat
rm t1 t2

pga_vs_dist3.gmt
cp pgavsdist.png $tempdir

histograma.sh
cp hist.png $tempdir


)

